Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.namestore.interfaces
Class NSContact

    java.lang.Object
      com.verisign.epp.interfaces.EPPContact
          com.verisign.epp.namestore.interfaces.NSContact

    public class NSContact

extends EPPContact

NameStore Contact interface that extends that standard `EPPContact` by adding new methods like @link{#setSubProductID(String)}. `EPPContact` could be used directly, but `NSContact` can be enhanced independent of the EPP specification.

Field Summary

Fields inherited from class com.verisign.epp.interfaces.EPPContact
`STAT_CLIENT_DELETE_PROHIBITED, STAT_CLIENT_TRANSFER_PROHIBITED, STAT_CLIENT_UPDATE_PROHIBITED, STAT_OK, STAT_PENDING_DELETE, STAT_PENDING_TRANSFER, STAT_SERVER_DELETE_PROHIBITED, STAT_SERVER_TRANSFER_PROHIBITED, STAT_SERVER_UPDATE_PROHIBITED, STAT_STATUS_LINKED, TRANSFER_APPROVE, TRANSFER_CANCEL, TRANSFER_QUERY, TRANSFER_REJECT, TRANSFER_REQUEST`

Constructor Summary
`NSContact(EPPSession aSession)` Creates an `NSContact` with an established `EPPSession`.

Method Summary
`protected void` | `resetContact()` Resets the contact attributes for the next command.
`void` | `setSubProductID(java.lang.String aSubProductID)` Sets the contact sub-product id which specifies which is the target registry for the contact operation.

Methods inherited from class com.verisign.epp.interfaces.EPPContact
`addContactId, addExtension, addPostalInfo, addStatus, addStatus, getAddStatus, getAuthorizationId, getDisclose, getEmail, getExtensions, getFaxExt, getFaxNumber, getPostalInfo, getRemoveStatus, getResponse, getTransId, getVoicePhone, removeStatus, removeStatus, sendCheck, sendCreate, sendDelete, sendInfo, sendTransfer, sendUpdate, setAuthorizationId, setDisclose, setEmail, setExtension, setExtensions, setFaxExt, setFaxNumber, setPostalInfo, setTransferOpCode, setTransId, setVoiceExt, setVoicePhone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSContact

    public NSContact(EPPSession aSession)

  Creates an `NSContact` with an established `EPPSession`.

  Parameters:
    `aSession` - Established session

Method Detail

### setSubProductID

    public void setSubProductID(java.lang.String aSubProductID)

  Sets the contact sub-product id which specifies which is the target registry for the contact operation. Some possible values included in @link{NSSubProduct}. This results in a `EPPNamestoreExtNamestoreExt` extension being added to the command.

  Parameters:
    `aSubProductID` - Sub-product id of host operation. Should use one of the @link{NSSubProduct} constants or using the TLD value. Passing `null` will not add any extension.

### resetContact

    protected void resetContact()

  Resets the contact attributes for the next command.

  Overrides:
    `resetContact` in class `EPPContact`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.